<?xml version="1.0" encoding="utf-8"?>
<schema
  attributeFormDefault="unqualified"
  elementFormDefault="qualified"
  targetNamespace="http://www.ovhgroupe.com/taxonomy/2019-12-31/ovhgroupe_full_entry_point"
  xmlns="http://www.w3.org/2001/XMLSchema"
  xmlns:bf="http://xbrl.org/2008/filter/boolean"
  xmlns:cfi="http://xbrl.org/2010/custom-function"
  xmlns:esef_cor="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor"
  xmlns:gen="http://xbrl.org/2008/generic"
  xmlns:label="http://xbrl.org/2008/label"
  xmlns:lei="http://www.xbrl.org/taxonomy/int/lei/2018-11-01"
  xmlns:lei-fn="http://www.xbrl.org/taxonomy/int/lei/2018-11-01/functions"
  xmlns:lei-required="http://www.xbrl.org/taxonomy/int/lei/2018-11-01/required"
  xmlns:link="http://www.xbrl.org/2003/linkbase"
  xmlns:msg="http://xbrl.org/2010/message"
  xmlns:negated="http://www.xbrl.org/2009/role/negated"
  xmlns:net="http://www.xbrl.org/2009/role/net"
  xmlns:nonnum="http://www.xbrl.org/dtr/type/non-numeric"
  xmlns:num="http://www.xbrl.org/dtr/type/numeric"
  xmlns:ovhgroupe="http://www.ovhgroupe.com/taxonomy/2019-12-31/ovhgroupe_full_entry_point"
  xmlns:reference="http://www.xbrl.org/2009/role/reference"
  xmlns:sev="http://xbrl.org/2016/assertion-severity"
  xmlns:valm="http://xbrl.org/2010/message/validation"
  xmlns:variable="http://xbrl.org/2008/variable"
  xmlns:xbrldt="http://xbrl.org/2005/xbrldt"
  xmlns:xbrli="http://www.xbrl.org/2003/instance"
  xmlns:xl="http://www.xbrl.org/2003/XLink"
  xmlns:xlink="http://www.w3.org/1999/xlink"
  xmlns:xs="http://www.w3.org/2001/XMLSchema">
    <annotation>
        <appinfo>
            <link:roleType
              id="roleType_Anchoring"
              roleURI="http://www.esef_all.com/role/Anchoring">
                <link:definition>00100 - Anchoring</link:definition>
                <link:usedOn>link:definitionLink</link:usedOn>
            </link:roleType>
            <link:roleType
              id="roleType_esef_role-000000"
              roleURI="http://www.esma.europa.eu/xbrl/role/all/esef_role-000000">
                <link:definition>[000000] Tags that must be applied if corresponding information is present in a report</link:definition>
                <link:usedOn>link:presentationLink</link:usedOn>
                <link:usedOn>link:definitionLink</link:usedOn>
            </link:roleType>
            <link:roleType
              id="roleType_ias_1_role-210000"
              roleURI="http://www.esma.europa.eu/xbrl/role/all/ias_1_role-210000">
                <link:definition>[210000] Statement of financial position, current/non-current</link:definition>
                <link:usedOn>link:presentationLink</link:usedOn>
                <link:usedOn>link:definitionLink</link:usedOn>
                <link:usedOn>link:calculationLink</link:usedOn>
            </link:roleType>
            <link:roleType
              id="roleType_ias_1_role-320000"
              roleURI="http://www.esma.europa.eu/xbrl/role/all/ias_1_role-320000">
                <link:definition>[320000] Statement of comprehensive income, profit or loss, by nature of expense</link:definition>
                <link:usedOn>link:presentationLink</link:usedOn>
                <link:usedOn>link:definitionLink</link:usedOn>
                <link:usedOn>link:calculationLink</link:usedOn>
            </link:roleType>
            <link:roleType
              id="roleType_ias_1_role-420000"
              roleURI="http://www.esma.europa.eu/xbrl/role/all/ias_1_role-420000">
                <link:definition>[420000] Statement of comprehensive income, OCI components presented before tax</link:definition>
                <link:usedOn>link:presentationLink</link:usedOn>
                <link:usedOn>link:definitionLink</link:usedOn>
                <link:usedOn>link:calculationLink</link:usedOn>
            </link:roleType>
            <link:roleType
              id="roleType_ias_7_role-520000"
              roleURI="http://www.esma.europa.eu/xbrl/role/all/ias_7_role-520000">
                <link:definition>[520000] Statement of cash flows, indirect method</link:definition>
                <link:usedOn>link:presentationLink</link:usedOn>
                <link:usedOn>link:definitionLink</link:usedOn>
                <link:usedOn>link:calculationLink</link:usedOn>
            </link:roleType>
            <link:roleType
              id="roleType_ias_1_role-610000"
              roleURI="http://www.esma.europa.eu/xbrl/role/all/ias_1_role-610000">
                <link:definition>[610000] Statement of changes in equity</link:definition>
                <link:usedOn>link:presentationLink</link:usedOn>
                <link:usedOn>link:definitionLink</link:usedOn>
                <link:usedOn>link:calculationLink</link:usedOn>
            </link:roleType>
            <link:roleType
              id="esef_role-999999"
              roleURI="http://www.esma.europa.eu/xbrl/role/cor/esef_role-999999">
                <link:definition>[999999] Line items not dimensionally qualified</link:definition>
                <link:usedOn>link:definitionLink</link:usedOn>
            </link:roleType>
            <link:linkbaseRef
              xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"
              xlink:href="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor-lab-en.xml"
              xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef"
              xlink:type="simple"/>
            <link:linkbaseRef
              xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"
              xlink:href="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor-lab-fr.xml"
              xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef"
              xlink:type="simple"/>
            <link:linkbaseRef
              xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"
              xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/labels/lab_full_ifrs-en_2021-03-24.xml"
              xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef"
              xlink:type="simple"/>
            <link:linkbaseRef
              xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"
              xlink:href="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor-gen-en.xml"
              xlink:type="simple"/>
            <link:linkbaseRef
              xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"
              xlink:href="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor-gen-fr.xml"
              xlink:type="simple"/>
            <link:linkbaseRef
              xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"
              xlink:href="ovhcloud2023-2023-08-31_lab-en.xml"
              xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef"
              xlink:type="simple"/>
            <link:linkbaseRef
              xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"
              xlink:href="ovhcloud2023-2023-08-31_lab-fr.xml"
              xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef"
              xlink:type="simple"/>
            <link:linkbaseRef
              xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"
              xlink:href="ovhcloud2023-2023-08-31_pre.xml"
              xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef"
              xlink:type="simple"/>
            <link:linkbaseRef
              xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"
              xlink:href="ovhcloud2023-2023-08-31_def.xml"
              xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef"
              xlink:type="simple"/>
            <link:linkbaseRef
              xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"
              xlink:href="ovhcloud2023-2023-08-31_cal.xml"
              xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef"
              xlink:type="simple"/>
        </appinfo>
    </annotation>
    <import
      namespace="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor"
      schemaLocation="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor.xsd"/>
    <import
      namespace="http://www.w3.org/1999/xlink"
      schemaLocation="http://www.xbrl.org/2003/xlink-2003-12-31.xsd"/>
    <import
      namespace="http://www.xbrl.org/2003/XLink"
      schemaLocation="http://www.xbrl.org/2003/xl-2003-12-31.xsd"/>
    <import
      namespace="http://www.xbrl.org/2003/instance"
      schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd"/>
    <import
      namespace="http://www.xbrl.org/2003/linkbase"
      schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd"/>
    <import
      namespace="http://www.xbrl.org/2009/role/negated"
      schemaLocation="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd"/>
    <import
      namespace="http://www.xbrl.org/2009/role/net"
      schemaLocation="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd"/>
    <import
      namespace="http://www.xbrl.org/2009/role/reference"
      schemaLocation="http://www.xbrl.org/lrr/role/reference-2009-12-16.xsd"/>
    <import
      namespace="http://www.xbrl.org/dtr/type/non-numeric"
      schemaLocation="http://www.xbrl.org/dtr/type/nonNumeric-2009-12-16.xsd"/>
    <import
      namespace="http://www.xbrl.org/dtr/type/numeric"
      schemaLocation="http://www.xbrl.org/dtr/type/numeric-2009-12-16.xsd"/>
    <import
      namespace="http://www.xbrl.org/taxonomy/int/lei/2018-11-01"
      schemaLocation="http://www.xbrl.org/taxonomy/int/lei/CR/2018-11-01/lei.xsd"/>
    <import
      namespace="http://www.xbrl.org/taxonomy/int/lei/2018-11-01/functions"
      schemaLocation="http://www.xbrl.org/taxonomy/int/lei/CR/2018-11-01/lei-formula-functions.xsd"/>
    <import
      namespace="http://www.xbrl.org/taxonomy/int/lei/2018-11-01/required"
      schemaLocation="http://www.xbrl.org/taxonomy/int/lei/CR/2018-11-01/lei-required.xsd"/>
    <import
      namespace="http://xbrl.org/2005/xbrldt"
      schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd"/>
    <import
      namespace="http://xbrl.org/2008/filter/boolean"
      schemaLocation="http://www.xbrl.org/2008/boolean-filter.xsd"/>
    <import
      namespace="http://xbrl.org/2008/generic"
      schemaLocation="http://www.xbrl.org/2008/generic-link.xsd"/>
    <import
      namespace="http://xbrl.org/2008/label"
      schemaLocation="http://www.xbrl.org/2008/generic-label.xsd"/>
    <import
      namespace="http://xbrl.org/2008/variable"
      schemaLocation="http://www.xbrl.org/2008/variable.xsd"/>
    <import
      namespace="http://xbrl.org/2010/custom-function"
      schemaLocation="http://www.xbrl.org/2010/custom-function-implementation.xsd"/>
    <import
      namespace="http://xbrl.org/2010/message"
      schemaLocation="http://www.xbrl.org/2010/generic-message.xsd"/>
    <import
      namespace="http://xbrl.org/2010/message/validation"
      schemaLocation="http://www.xbrl.org/2010/validation-message.xsd"/>
    <import
      namespace="http://xbrl.org/2016/assertion-severity"
      schemaLocation="http://www.xbrl.org/2016/assertion-severity.xsd"/>
    <element
      abstract="false"
      id="ovhgroupe_AdjustmentsForGainsLossesOnAssetDisposalsAndOtherWriteoffsAndRevaluations"
      name="AdjustmentsForGainsLossesOnAssetDisposalsAndOtherWriteoffsAndRevaluations"
      nillable="true"
      substitutionGroup="xbrli:item"
      type="xbrli:monetaryItemType"
      xbrli:balance="debit"
      xbrli:periodType="duration"/>
    <element
      abstract="false"
      id="ovhgroupe_CapitalIncreaseEsp2021"
      name="CapitalIncreaseEsp2021"
      nillable="true"
      substitutionGroup="xbrli:item"
      type="xbrli:monetaryItemType"
      xbrli:balance="debit"
      xbrli:periodType="duration"/>
    <element
      abstract="false"
      id="ovhgroupe_CapitalIncreaseIpo"
      name="CapitalIncreaseIpo"
      nillable="true"
      substitutionGroup="xbrli:item"
      type="xbrli:monetaryItemType"
      xbrli:balance="debit"
      xbrli:periodType="duration"/>
    <element
      abstract="false"
      id="ovhgroupe_CashInflowsOutflowsRelatedToBusinessCombinationsNetOfCash"
      name="CashInflowsOutflowsRelatedToBusinessCombinationsNetOfCash"
      nillable="true"
      substitutionGroup="xbrli:item"
      type="xbrli:monetaryItemType"
      xbrli:balance="debit"
      xbrli:periodType="duration"/>
    <element
      abstract="false"
      id="ovhgroupe_CurrentEbitda"
      name="CurrentEbitda"
      nillable="true"
      substitutionGroup="xbrli:item"
      type="xbrli:monetaryItemType"
      xbrli:balance="credit"
      xbrli:periodType="duration"/>
    <element
      abstract="false"
      id="ovhgroupe_CurrentOperatingIncome"
      name="CurrentOperatingIncome"
      nillable="true"
      substitutionGroup="xbrli:item"
      type="xbrli:monetaryItemType"
      xbrli:balance="credit"
      xbrli:periodType="duration"/>
    <element
      abstract="false"
      id="ovhgroupe_ForeignExchangeLossesUsdCad"
      name="ForeignExchangeLossesUsdCad"
      nillable="true"
      substitutionGroup="xbrli:item"
      type="xbrli:monetaryItemType"
      xbrli:balance="credit"
      xbrli:periodType="duration"/>
    <element
      abstract="false"
      id="ovhgroupe_GuaranteeDepositsReceived"
      name="GuaranteeDepositsReceived"
      nillable="true"
      substitutionGroup="xbrli:item"
      type="xbrli:monetaryItemType"
      xbrli:balance="debit"
      xbrli:periodType="duration"/>
    <element
      abstract="false"
      id="ovhgroupe_OperatingExpensesOtherThanPersonnelExpenses"
      name="OperatingExpensesOtherThanPersonnelExpenses"
      nillable="true"
      substitutionGroup="xbrli:item"
      type="xbrli:monetaryItemType"
      xbrli:balance="debit"
      xbrli:periodType="duration"/>
    <element
      abstract="true"
      id="ovhgroupe_OtherComprehensiveIncomeExcludingTranslationReservesMember"
      name="OtherComprehensiveIncomeExcludingTranslationReservesMember"
      nillable="true"
      substitutionGroup="xbrli:item"
      type="nonnum:domainItemType"
      xbrli:periodType="duration"/>
    <element
      abstract="false"
      id="ovhgroupe_PaymentsRelatedToAcquisitionsOfPropertyPlantAndEquipmentAndIntangibleAssets"
      name="PaymentsRelatedToAcquisitionsOfPropertyPlantAndEquipmentAndIntangibleAssets"
      nillable="true"
      substitutionGroup="xbrli:item"
      type="xbrli:monetaryItemType"
      xbrli:balance="credit"
      xbrli:periodType="duration"/>
    <element
      abstract="false"
      id="ovhgroupe_ProceedsFromDisposalOfAssets"
      name="ProceedsFromDisposalOfAssets"
      nillable="true"
      substitutionGroup="xbrli:item"
      type="xbrli:monetaryItemType"
      xbrli:balance="debit"
      xbrli:periodType="duration"/>
    <element
      abstract="false"
      id="ovhgroupe_ReceiptsDisbursementsRelatedToLoansAndAdvancesGranted"
      name="ReceiptsDisbursementsRelatedToLoansAndAdvancesGranted"
      nillable="true"
      substitutionGroup="xbrli:item"
      type="xbrli:monetaryItemType"
      xbrli:balance="debit"
      xbrli:periodType="duration"/>
    <element
      abstract="false"
      id="ovhgroupe_ReservesAndRetainedEarnings"
      name="ReservesAndRetainedEarnings"
      nillable="true"
      substitutionGroup="xbrli:item"
      type="xbrli:monetaryItemType"
      xbrli:balance="credit"
      xbrli:periodType="instant"/>
    <element
      abstract="false"
      id="ovhgroupe_RevaluationOfHedgingInstruments"
      name="RevaluationOfHedgingInstruments"
      nillable="true"
      substitutionGroup="xbrli:item"
      type="xbrli:monetaryItemType"
      xbrli:balance="credit"
      xbrli:periodType="duration"/>

    <element name="AdjustmentsForFinanceIncomeCostExcludingRealizedForeignExchangeLossesGains" abstract="false" id="ovhgroupe_AdjustmentsForFinanceIncomeCostExcludingRealizedForeignExchangeLossesGains" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:periodType="duration" xbrli:balance="credit" />
</schema>
